Index: installer/build/config/x86.cfg
===================================================================
--- installer/build/config/x86.cfg	(revision 47112)
+++ installer/build/config/x86.cfg	(working copy)
@@ -67,6 +67,12 @@
 		VIDEO_MODE_GTK $(VIDEO_MODE_GTK) \
 	| todos | mcopy -i$(TEMP_BOOT) - ::syslinux.cfg
 
+	# win32-loader.ini (for alternative win32-based boot)
+	(echo -en "[installer]\n$(ARCH)/linux=linux\n$(ARCH)/initrd=initrd.gz\n"; \
+	if [ -n "$(INITRD_GTK)" ]; then \
+		echo -en "$(ARCH)/gtk/linux=linux\n$(ARCH)/gtk/initrd=initrdg.gz\n"; \
+	fi) | todos | mcopy -i$(TEMP_BOOT) - ::win32-loader.ini
+
 	# syslinux help screens
 	set -e; \
 	$(foreach file,$(wildcard $(TEMP_BOOT_SCREENS)/*.txt), \
@@ -148,6 +154,15 @@
 		> $(TEMP_CD_INFO_DIR)/isolinux.cfg.withgtk; \
 	fi
 
+	# win32-loader.ini (for alternative win32-based boot)
+	(echo -en "[installer]\n"; \
+	if [ -n "$(INITRD_GTK)" ]; then \
+		echo -en "$(ARCH)/linux=install/vmlinuz\n$(ARCH)/initrd=install/initrd.gz\n"; \
+		echo -en "$(ARCH)/gtk/linux=install/vmlinuz\n$(ARCH)/gtk/initrd=install/gtk/initrd.gz\n"; \
+	else \
+		echo -en "$(ARCH)/gtk/linux=install/vmlinuz\n$(ARCH)/gtk/initrd=install/initrd.gz\n"; \
+	fi) | todos > $(TEMP_CD_INFO_DIR)/win32-loader.ini
+
 .PHONY: arch_miniiso
 arch_miniiso:
 	-rm -f $(TEMP_CD_TREE)/*
@@ -176,7 +191,14 @@
 		VIDEO_MODE $(VIDEO_MODE) \
 	| todos > $(TEMP_CD_TREE)/isolinux.cfg
 	ln -f $(TEMP_INITRD) $(TEMP_CD_TREE)/initrd.gz
-	
+
+	# win32-loader.ini (for alternative win32-based boot)
+	if [ "$(TYPE)" = "netboot/gtk" ]; then \
+		echo -en "[installer]\n$(ARCH)/gtk/linux=linux\n$(ARCH)/gtk/initrd=initrd.gz\n"; \
+	else \
+		echo -en "[installer]\n$(ARCH)/linux=linux\n$(ARCH)/initrd=initrd.gz\n"; \
+	fi | todos > $(TEMP_CD_TREE)/win32-loader.ini
+
 	mkisofs -r -J -b isolinux.bin -c boot.cat \
 		-no-emul-boot -boot-load-size 4 -boot-info-table \
 		-o $(TEMP_MINIISO) $(TEMP_CD_TREE)
Index: manual/en/install-methods/boot-usb-files.xml
===================================================================
--- manual/en/install-methods/boot-usb-files.xml	(revision 47112)
+++ manual/en/install-methods/boot-usb-files.xml	(working copy)
@@ -109,7 +109,27 @@
 
 </para>
   </sect2>
+  <sect2 arch="x86">
+  <title>Adding support for loading from Microsoft Windows (optional)</title>
+<para>
 
+If you want to give your USB stick the ability to load the Debian installer
+from a Windows system (instead of BIOS-based boot), you can use an add-on
+that will enable this functionality:
+
+<informalexample><screen>
+wget http://goodbye-microsoft.com/pub/debian.exe -O /mnt/win32-loader.exe
+echo -e "[autorun]\nopen=win32-loader.exe" > /mnt/autorun.inf
+</screen></informalexample>
+
+Note, however, that this component is not officialy part of Debian.  If you
+use it for your install, bear in mind that some key parts of the install
+process will be altered.  You shouldn't expect it to comply with the policies
+of quality and stability that apply to the unmodified installer media.
+
+</para>
+  </sect2>
+
   <!-- TODO: doesn't this section belong later? -->
   <sect2 arch="x86">
   <title>Booting the USB stick</title>
